Bug 136861 - FILESAVE Resolved state of a single-point comment isn't saved
Summary: FILESAVE Resolved state of a single-point comment isn't saved
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.2.0 target:7.1.1 target:7.0.5
Keywords: implementationError
Depends on:
Blocks: Writer-Comments
  Show dependency treegraph
 
Reported: 2020-09-17 21:33 UTC by Telesto
Modified: 2021-01-18 09:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-09-17 21:33:46 UTC
Description:
The resolved state of a comment isn't saved.. 

Steps to Reproduce:
1. Open attached file
2. Set the comment to resolved
3. Save
4. Reload

Actual Results:
Resolved state disappears (not saved or not loaded)

Expected Results:
Should be the case, I assume


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: abcc4eb907661e07ad850ccce7eb06f129da4286
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2020-09-17 21:35:02 UTC
Also in
Version: 6.4.0.0.beta1+ (x64)
Build ID: 20be5cd0bdc57d812bf34a2debfe48caa51de881
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: GL; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL

6.2 doesn't have resolved mode
Comment 2 Telesto 2020-09-17 21:36:40 UTC
Adding bibisectrequest to find out who added the feature
Comment 3 Telesto 2020-09-17 21:42:13 UTC
@Regina
A more or less superfluous question.. the 'Resolved comment" state is supported by the ODT format; right?  

Got implemented here: bug 119228
Comment 4 Regina Henschel 2020-09-17 23:21:23 UTC
(In reply to Telesto from comment #3)
> @Regina
> A more or less superfluous question.. the 'Resolved comment" state is
> supported by the ODT format; right?  
> 
> Got implemented here: bug 119228

No, it is not.

You can check it easily yourself. Unpack the file and lock, whether it has a "loext" namespace. In this case you will see loext:resolved="true".

You can look at https://wiki.documentfoundation.org/Development/ODF_Implementer_Notes/List_of_LibreOffice_ODF_Extensions. It should list all features of LibreOffice which do not belong to the standard.

You can save the file in ODF 1.3 extended, but validate it with ODF 1.3 comforming. The validator will mark all things, which are not in the standard. Validator is at https://odfvalidator.org/

You should check, whether you have set your LibreOffice to save in ODF 1.3 extended (or ODF 1.2 extended in case of latest 6.4 version), otherwise you will loose the resolved mark.
Comment 5 Telesto 2020-09-18 08:31:33 UTC
Apparently the resolved state isn't written (not seeing anything in the ODT)
Comment 6 Aron Budea 2020-09-23 20:38:43 UTC
There's no attachment, so I don't know what your sample is like, Telesto.

My experience is that if the comment is inserted at a single point, then the resolved state isn't saved, and if it's inserted for a text range, it's saved.
Scott, could you clarify if that distinction was intentional, or perhaps an oversight?

For now I'm confirming the above behavior with LO 7.1.0.0.alpha0+ (121771e37f7e2de41cd5643475861062bf25627b) / Ubuntu.
Comment 7 Telesto 2020-09-24 06:28:10 UTC
(In reply to Aron Budea from comment #6)
> My experience is that if the comment is inserted at a single point, then the
> resolved state isn't saved, and if it's inserted for a text range, it's
> saved.

That's indeed the issue. Except I didn't notice the difference between selection and single point
Comment 8 Scott Clarke 2020-09-24 09:02:52 UTC
(In reply to Aron Budea from comment #6)

> Scott, could you clarify if that distinction was intentional, or perhaps an
> oversight?
> 

No this wasn't an intentional distinction it was indeed an oversight.
Comment 9 Telesto 2020-09-27 10:57:16 UTC Comment hidden (off-topic)
Comment 10 Aron Budea 2020-09-27 14:24:26 UTC Comment hidden (off-topic)
Comment 11 Commit Notification 2021-01-15 15:07:11 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f3b5356bdc51b03f9910ed544b8c17d6f919bc12

tdf#136861 ODT export: fix writing resolved state for non-ranged comments

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2021-01-16 17:01:38 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/d16aeba7dbbb8a4fe9564cbb0b895b103444f31a

tdf#136861 ODT export: fix writing resolved state for non-ranged comments

It will be available in 7.1.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2021-01-18 09:53:23 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/8c0157fc1c971e2ddf7f851510ecb94e61aa9eb9

tdf#136861 ODT export: fix writing resolved state for non-ranged comments

It will be available in 7.0.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.